This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1298905 - (CVE-2016-0738) CVE-2016-0738 openstack-swift: Proxy to server DoS through Large Objects
CVE-2016-0738 openstack-swift: Proxy to server DoS through Large Objects
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160120,repor...
: Reopened, Security
Depends On: 1299668 1299669 1299670 1299671 1299672 1300612 1300613 1308476
Blocks: 1298929 1312737
  Show dependency treegraph
 
Reported: 2016-01-15 07:10 EST by Adam Mariš
Modified: 2016-04-26 16:08 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A memory-leak issue was found in OpenStack Object Storage (swift), in the proxy-to-server connection. An OpenStack-authenticated attacker could remotely trigger this flaw to cause denial of service through excess memory consumption.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 05:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Master/mitaka patch (6.78 KB, patch)
2016-01-15 07:12 EST, Adam Mariš
no flags Details | Diff
Stable/kilo patch (6.35 KB, patch)
2016-01-15 07:12 EST, Adam Mariš
no flags Details | Diff
Stable/liberty patch (6.79 KB, patch)
2016-01-15 07:13 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2016-01-15 07:10:22 EST
A DoS vulnerability in openstack-swift was reported. By repeatedly requesting and interrupting connections to a Large Object (Dynamic or Static) URL, a remote attacker may exhausts Swift proxy-server resources, potentially resulting in a denial of service.

Affects versions: >=2.2.1 <= 2.3.0, >= 2.4.0 <= 2.5.0

There are two similar bugs, CVE-2016-0738 is for proxy to server connection.
Comment 1 Adam Mariš 2016-01-15 07:12 EST
Created attachment 1115108 [details]
Master/mitaka patch
Comment 2 Adam Mariš 2016-01-15 07:12 EST
Created attachment 1115109 [details]
Stable/kilo patch
Comment 3 Adam Mariš 2016-01-15 07:13 EST
Created attachment 1115112 [details]
Stable/liberty patch
Comment 4 Adam Mariš 2016-01-15 07:26:25 EST
Acknowledgments:

Red Hat would like to thank Openstack project for reporting this issue.
Upstream acknowledges Romain Le Disez from OVH and Örjan Persson from Kiliaro as the original reporters.
Comment 7 Andrej Nemec 2016-01-21 04:40:16 EST
Created openstack-swift tracking bugs for this issue:

Affects: fedora-all [bug 1300613]
Comment 8 Andrej Nemec 2016-01-21 04:40:41 EST
This issue is now public.
Comment 9 Fedora Update System 2016-02-02 14:21:05 EST
openstack-swift-2.3.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2016-02-07 23:35:44 EST
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2016:0128 https://rhn.redhat.com/errata/RHSA-2016-0128.html
Comment 11 errata-xmlrpc 2016-02-07 23:36:28 EST
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2016:0127 https://rhn.redhat.com/errata/RHSA-2016-0127.html
Comment 12 errata-xmlrpc 2016-02-07 23:37:41 EST
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2016:0126 https://rhn.redhat.com/errata/RHSA-2016-0126.html
Comment 13 errata-xmlrpc 2016-02-09 15:56:48 EST
This issue has been addressed in the following products:

  OpenStack 7 For RHEL 7

Via RHSA-2016:0155 https://rhn.redhat.com/errata/RHSA-2016-0155.html
Comment 15 errata-xmlrpc 2016-03-01 02:02:21 EST
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0329 https://rhn.redhat.com/errata/RHSA-2016-0329.html
Comment 16 errata-xmlrpc 2016-03-01 02:03:06 EST
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7

Via RHSA-2016:0328 https://rhn.redhat.com/errata/RHSA-2016-0328.html

Note You need to log in before you can comment on or make changes to this bug.